<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [rm](./bitburner.ns.rm.md)

## NS.rm() method

Delete a file.

**Signature:**

```typescript
rm(name: string, host?: string): boolean;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  name | string | Filename of file to remove. Must include the extension. |
|  host | string | _(Optional)_ Hostname of the server on which to delete the file. Optional. Defaults to current server. |

**Returns:**

boolean

True if it successfully deletes the file, and false otherwise.

## Remarks

RAM cost: 1 GB

Removes the specified file from the current server. This function works for every file type except message (.msg) files.

